Erro ao instalar cuda-toolkit no arch

Galera estou tendo problemas para atualizar o “cuda” da sempre um erro, tentei desinstalar e instalar novamente mas da esse mesmo erro

sudo pacman -S cuda
resolvendo dependências...
procurando pacotes conflitantes...

Pacote (1)      Versão nova    Diferença  Tamanho do download

community/cuda  11.1.0-2     5633,06 MiB          1779,27 MiB

Tamanho total download:   1779,27 MiB
Tamanho total instalado:  5633,06 MiB

:: Continuar a instalação? [S/n] 
:: Obtendo pacotes...
 cuda-11.1.0-2-x86_64 1779,3 MiB  8,10 MiB/s 03:40 [----------------------] 100%
(1/1) verificando chaves no chaveiro               [----------------------] 100%
baixando chaves necessárias...
:: Importar a chave PGP 5A45B06B81CAB876, "Konstantin Gizdov <arch@kge.pw>"? [S/n] S
(1/1) verificando integridade do pacote            [----------------------] 100%
erro: cuda: a chave "C5A5958FD7785FAD982FA2EC5A45B06B81CAB876" é desconhecida
:: Importar a chave PGP C5A5958FD7785FAD982FA2EC5A45B06B81CAB876? [S/n] 
erro: a chave "C5A5958FD7785FAD982FA2EC5A45B06B81CAB876" não pôde ser procurada remotamente
:: Arquivo /var/cache/pacman/pkg/cuda-11.1.0-2-x86_64.pkg.tar.zst está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] 
erro: falha ao efetuar a transação (pacote inválido ou corrompido (assinatura PGP))
Ocorreram erros e, portanto, nenhum pacote foi atualizado.

Reinstale o pacote archlinux-keyring (ou só atualize o sistema mesmo).

Fez o download de um pacote corrompido, pode ter sido falha na transmissão.
Vc vai ter que refazer download do arquivo em questão,
Mas é bom você começar a se acostumar em verificar a questão dos servidores
espelhos do manjaro, se eles estão sincronizados 100% antes de fazer futura
atualização…